#region License Information
/* HeuristicLab
 * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Common;
using HEAL.Attic;
namespace HeuristicLab.Problems.DataAnalysis.Symbolic {
  [StorableType("C0C60572-E014-43D5-B06C-53F3DE6FD54A")]
  public sealed class VectorVariableTreeNode : VariableTreeNodeBase {
    public new VectorVariable Symbol {
      get { return (VectorVariable)base.Symbol; }
    }
    [StorableConstructor]
    private VectorVariableTreeNode(StorableConstructorFlag _) : base(_) { }
    private VectorVariableTreeNode(VectorVariableTreeNode original, Cloner cloner)
      : base(original, cloner) {
    }
    private VectorVariableTreeNode() { }
    public VectorVariableTreeNode(VectorVariable variableSymbol) : base(variableSymbol) { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new VectorVariableTreeNode(this, cloner);
    }
  }
}
